osg::ApplicationUsageProxy Class Reference

`#include <ApplicationUsage>`

## Public Member Functions

| ApplicationUsageProxy (ApplicationUsage::Type type, const std::string &option, const std::string &explanation)

## Constructor & Destructor Documentation

## ApplicationUsageProxy()

osg::ApplicationUsageProxy::ApplicationUsageProxy | ( | ApplicationUsage::Type | type,
|  | const std::string & | option,
|  | const std::string & | explanation )

inline

register an explanation of commandline/environmentvariable/keyboard mouse usage.

References osg::ApplicationUsage::addUsageExplanation(), and osg::ApplicationUsage::instance().

The documentation for this class was generated from the following file:

- ApplicationUsage